// Styling for tooltips

.tooltip {
  display: block;
}

.toolTipHover {
  position: absolute;
  a {
    text-decoration: none;
  }
}

.tooltip {
  &.error {
    display: inline-block;
  }
  &.left {
    float: left;
    margin-right: 5px;
  }
  &.right {
    float: right;
    margin-right: 10px;
  }
  .tooltipImage {
    width: 26px;
    height: 27px;
    position: relative;
    background: url(Images/icon_help.png) no-repeat;
  }
  .tooltipPopup {
    display: none;
    position: absolute;
    z-index: 999 !important;
  }
  .tooltipPopupInner {
    position: relative;
    background: #FDF1D9;
    border: 2px solid #F39F02;
    @include rounded(6px, 6px, 6px, 6px);
    padding: 5px;
    max-width: 150px;
    color: #000000;
    font-size: 12px;
    font-weight: normal;
    text-transform: none;
  }
  .toolTipClose {
    width: 13px;
    height: 13px;
    background: url(Images/icon_close_med.png) no-repeat;
    float: right;
    cursor: pointer;
  }
}

.tooltipWithArrow {
  .tooltipImage {
    width: 26px;
    height: 27px;
    position: absolute;
  }
  .tooltipPopup {
    position: absolute;
    z-index: 999;
    display: none;
  }
}

.tooltip.hover .tooltipWithArrow .tooltipPopup {
  display: block;
}

.tooltipWithArrow .tooltipPopupInner {
  margin-left: 20px;
  position: relative;
  @include rounded(6px, 6px, 6px, 6px);
  padding: 10px;
  max-width: 250px;
  z-index: 999;
}

body .tooltipWithArrow .arrow {
  margin-left: -29px;
  width: 22px !important;
  height: 32px !important;
  position: absolute;
  display: block;
  z-index: 999;
  background: url(Images/helpbubble_arrow.png) no-repeat !important;
}

.tooltipWithArrow {
  &.error .tooltipImage {
    display: none;
  }
  &.degreeProgram .tooltipImage {
    background: url(Images/icon_degreeprograms.png) no-repeat;
    width: 28px;
    height: 21px;
    position: relative;
    &:hover {
      background: url(Images/icon_degreeprograms.png) no-repeat;
    }
  }
  &.starterJobMany .tooltipImage {
    background: url(Images/icon_starterjobs_many.png) no-repeat 0 0;
    width: 28px;
    height: 21px;
    position: relative;
    &:hover {
      background: url(Images/icon_starterjobs_many.png) no-repeat 0 0;
    }
  }
  &.starterJobSome .tooltipImage {
    background: url(Images/icon_starterjobs_some.png) no-repeat 0 2px;
    width: 28px;
    height: 21px;
    position: relative;
    &:hover {
      background: url(Images/icon_starterjobs_some.png) no-repeat 0 2px;
    }
  }
  &.degreeProgram .tooltipPopupInner, &.starterJobSome .tooltipPopupInner, &.starterJobMany .tooltipPopupInner {
    min-width: 125px;
  }
}

// Icons for any other tooltips

.toolTipNew {
  cursor: help;
}

// Manually overriding tooltip popup locations

.chartInfo {
  .toolTipHover, .tooltip {
    margin-top: -10px;
  }
}

.hiringDemandTooltip {
  .arrow {
    margin-top: 18px !important;
  }
  .tooltipPopupInner {
    margin-top: 50px;
  }
}

// Tooltipster plugin
.tooltipster-career { 
	@include rounded(6px, 6px, 6px, 6px); 
	border: 2px solid #F39F02; 
	background: #FDF1D9; 
	color: #000;
	.tooltipster-content {
		font-size: 12px; 
		line-height: 16px; 
		padding: 8px 10px;
	}
}